version: "2.1"
services:
  piwigo:
    image: ghcr.io/linuxserver/piwigo
    container_name: ${CONTAINER_NAME} 
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Hong_Kong
    volumes:
      - ${PIWIGO_DATA_ROOT}/config:/config
    ports:
      - 8680:80
    restart: "no" 
    links:
      - db 


  db:
    image: linuxserver/mariadb:latest
    restart: "no" 
    environment:
      MYSQL_ROOT_PASSWORD: password 
      MYSQL_DATABASE: piwigo 
      MYSQL_USER: admin 
      MYSQL_PASSWORD: admin 
    volumes:
      - ${PIWIGO_DATA_ROOT}/db:/var/lib/mysql


